package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.dto.EquipmentSizeDto;
import com.junmp.jyzb.api.bean.dto.fetchingDataDto.SizeDto;
import com.junmp.jyzb.api.bean.query.QueryEquipmentSizeReq;
import com.junmp.jyzb.api.bean.req.UpdateEquipmentSizeReq;
import com.junmp.jyzb.entity.EquipmentSize;
import com.junmp.v2.db.api.page.PageResult;

import java.util.List;
import java.util.Map;

public interface EquipmentSizeService extends IService<EquipmentSize> {
//    Object addEs();

    String addSize(UpdateEquipmentSizeReq req);

    EquipmentSize getOneSize(QueryEquipmentSizeReq req);

    Boolean deleteSize(UpdateEquipmentSizeReq req);

    Boolean updateSize(UpdateEquipmentSizeReq req);

    Boolean changeSizeState(UpdateEquipmentSizeReq req);

    List<EquipmentSizeDto> getAllSize(QueryEquipmentSizeReq req);
    PageResult<EquipmentSizeDto> getSizePages(QueryEquipmentSizeReq req);

    //根据typeId返回号型名称
    List<String> getByTypeIds(QueryEquipmentSizeReq req);

    List<SizeDto> alignSizeInfo(UpdateEquipmentSizeReq req);

    List<EquipmentSize> distinctByName(List<EquipmentSize> sizeList);

//    void addSizeInfoToEs();

    Map<String,Object> checkSizeNameList(Map<String,Object> sizeMap,List<Object[]> searchItem);


    //根据typeId拿到装备typeIds
//    List<String> selectByTypeIds(List<String> typeIdsList);
}
